#!/bin/sh
#
# Script to build wlags49_xx_cs and wlags49_xx, where xx is:
#   h2 for Hermes-II
#   h25 for Hermes-II.5
# wlags49_xx must be used for {mini]PCI and CardBus NICs.
# wlags49_xx_cs drivers are CardServices based and must be used for PC-Card and Compact Flash NICs.
#

if [ -r config.out ] ; then
    . ./config.out 2>/dev/null
else
    echo ""
    echo "Error: Run 'make config' first!"
    echo ""
    exit 1
fi

if [ "$CONFIG_PCMCIA" = "" ] ; then
    echo "This system uses standalone pcmcia-cs."
    make all
else
    echo "This system uses in-kernel pcmcia-cs."
    make -f wlags49.mk all
fi

